public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2018-04-01 20:51 Justin Lecher
  0 siblings, 0 replies; 17+ messages in thread
From: Justin Lecher @ 2018-04-01 20:51 UTC (permalink / raw
  To: gentoo-commits

commit:     69972533a7a57037765a37592875d5ac2e321571
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  1 20:43:31 2018 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Apr  1 20:51:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69972533

sys-cluster/pmix: New package

Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
Package-Manager: Portage-2.3.27, Repoman-2.3.9

 sys-cluster/pmix/Manifest          |  1 +
 sys-cluster/pmix/metadata.xml      | 16 ++++++++++++++++
 sys-cluster/pmix/pmix-2.1.1.ebuild | 29 +++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+)

diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
new file mode 100644
index 00000000000..3d268978deb
--- /dev/null
+++ b/sys-cluster/pmix/Manifest
@@ -0,0 +1 @@
+DIST pmix-2.1.1.tar.bz2 1063090 BLAKE2B 35a3bf7d297d399e897f9b9f748e176262cc0fde5afbfc9ea1e21e5c1550cf0081d9924692d7592fe1224eb727a9c3bb7b3fd216ae1b9e09dd29aefe83ac9eba SHA512 2e5d4b3c907ea9f54bb2b682c63fedb6e6c5cfad578c51bb64c805368ccd35adb317fc472867c717e0cd1d90bf13b18655a62041840c33b4a178c25bb3297d3d

diff --git a/sys-cluster/pmix/metadata.xml b/sys-cluster/pmix/metadata.xml
new file mode 100644
index 00000000000..f0314db0b37
--- /dev/null
+++ b/sys-cluster/pmix/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>jlec@gentoo.org</email>
+		<name>Justin Lecher</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>cluster@gentoo.org</email>
+		<name>Gentoo Cluster Project</name>
+	</maintainer>
+	<use>
+		<flag name="munge">Enable authentication via munge</flag>
+		<flag name="pmi">Build PMI1 and PMI2 interface</flag>
+	</use>
+</pkgmetadata>

diff --git a/sys-cluster/pmix/pmix-2.1.1.ebuild b/sys-cluster/pmix/pmix-2.1.1.ebuild
new file mode 100644
index 00000000000..6bce06897de
--- /dev/null
+++ b/sys-cluster/pmix/pmix-2.1.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="The Process Management Interface (PMI) Exascale"
+HOMEPAGE="https://pmix.github.io/pmix/"
+SRC_URI="https://github.com/pmix/pmix/releases/download/v${PV}/${P}.tar.bz2"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug +munge pmi"
+
+RDEPEND="
+	dev-libs/libevent:0=
+	sys-cluster/ucx
+	sys-libs/zlib:0=
+	munge? ( sys-auth/munge )
+	pmi? ( !sys-cluster/slurm )
+	"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+	econf \
+		$(use_enable debug) \
+		$(use_enable pmi pmi-backward-compatibility) \
+		$(use_with munge)
+}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2022-11-19 19:36 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2022-11-19 19:36 UTC (permalink / raw
  To: gentoo-commits

commit:     a541de8bba3791938658b5dbeb9518520881006d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 19 19:31:58 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 19 19:31:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a541de8b

sys-cluster/pmix: add github upstream metadata

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/metadata.xml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/sys-cluster/pmix/metadata.xml b/sys-cluster/pmix/metadata.xml
index d4520f5cc4f8..f8082fcc4911 100644
--- a/sys-cluster/pmix/metadata.xml
+++ b/sys-cluster/pmix/metadata.xml
@@ -9,4 +9,7 @@
 		<flag name="munge">Enable authentication via munge</flag>
 		<flag name="pmi">Build PMI1 and PMI2 interface</flag>
 	</use>
+	<upstream>
+		<remote-id type="github">openpmix/openpmix</remote-id>
+	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2022-11-19 19:36 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2022-11-19 19:36 UTC (permalink / raw
  To: gentoo-commits

commit:     42c4727feb9393fcbb3196c7b4c4cc1373fe517d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 19 19:32:25 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 19 19:32:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42c4727f

sys-cluster/pmix: update HOMEPAGE, SRC_URI

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/pmix-2.1.1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/sys-cluster/pmix/pmix-2.1.1.ebuild b/sys-cluster/pmix/pmix-2.1.1.ebuild
index 6bce06897de1..f32dc12613ed 100644
--- a/sys-cluster/pmix/pmix-2.1.1.ebuild
+++ b/sys-cluster/pmix/pmix-2.1.1.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
 DESCRIPTION="The Process Management Interface (PMI) Exascale"
-HOMEPAGE="https://pmix.github.io/pmix/"
-SRC_URI="https://github.com/pmix/pmix/releases/download/v${PV}/${P}.tar.bz2"
+HOMEPAGE="https://openpmix.github.io/"
+SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
 
 SLOT="0"
 LICENSE="BSD"


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2022-12-07 15:42 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2022-12-07 15:42 UTC (permalink / raw
  To: gentoo-commits

commit:     8ad34c5cb767676d6cb5e9249565d2e4c17d838e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  7 15:36:04 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec  7 15:36:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ad34c5c

sys-cluster/pmix: add 4.2.2

Closes: https://bugs.gentoo.org/681584
Closes: https://bugs.gentoo.org/877119
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/Manifest          |  1 +
 sys-cluster/pmix/pmix-4.2.2.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
index 3d268978deb3..1ad78c7bcefc 100644
--- a/sys-cluster/pmix/Manifest
+++ b/sys-cluster/pmix/Manifest
@@ -1 +1,2 @@
 DIST pmix-2.1.1.tar.bz2 1063090 BLAKE2B 35a3bf7d297d399e897f9b9f748e176262cc0fde5afbfc9ea1e21e5c1550cf0081d9924692d7592fe1224eb727a9c3bb7b3fd216ae1b9e09dd29aefe83ac9eba SHA512 2e5d4b3c907ea9f54bb2b682c63fedb6e6c5cfad578c51bb64c805368ccd35adb317fc472867c717e0cd1d90bf13b18655a62041840c33b4a178c25bb3297d3d
+DIST pmix-4.2.2.tar.bz2 1639600 BLAKE2B b5109900e52750656200e7bdbdc39d870a01f5afc1fb622663dfb2c9647b1735c23ece906064b34923977c522fb5a89afc03d81b7d115b26337934ab5bfe7ce3 SHA512 b7cb1e2079d517b32fc5d99012a7c4b161c1509b3ac1e0ba7e4697f2fe0917455927d06c86ecab5f2fa6073e1f058e86260d2115b6f8cc968a43a5675439f28d

diff --git a/sys-cluster/pmix/pmix-4.2.2.ebuild b/sys-cluster/pmix/pmix-4.2.2.ebuild
new file mode 100644
index 000000000000..4e0cde30caf9
--- /dev/null
+++ b/sys-cluster/pmix/pmix-4.2.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="The Process Management Interface (PMI) Exascale"
+HOMEPAGE="https://openpmix.github.io/"
+SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug +munge pmi"
+
+RDEPEND="
+	dev-libs/libevent:=
+	sys-cluster/ucx
+	sys-libs/zlib:=
+	munge? ( sys-auth/munge )
+	pmi? ( !sys-cluster/slurm )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+	econf \
+		--disable-werror \
+		$(use_enable debug) \
+		$(use_with munge)
+}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2022-12-07 19:49 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2022-12-07 19:49 UTC (permalink / raw
  To: gentoo-commits

commit:     fa5d1b16c3f24c2cf99d215aadb5228ea27a958b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec  7 19:43:46 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec  7 19:49:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa5d1b16

sys-cluster/pmix: add hwloc dep, rename pquery

Closes: https://bugs.gentoo.org/884765
Closes: https://bugs.gentoo.org/884735
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/{pmix-4.2.2.ebuild => pmix-4.2.2-r1.ebuild} | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/sys-cluster/pmix/pmix-4.2.2.ebuild b/sys-cluster/pmix/pmix-4.2.2-r1.ebuild
similarity index 83%
rename from sys-cluster/pmix/pmix-4.2.2.ebuild
rename to sys-cluster/pmix/pmix-4.2.2-r1.ebuild
index 4e0cde30caf9..84966f965b68 100644
--- a/sys-cluster/pmix/pmix-4.2.2.ebuild
+++ b/sys-cluster/pmix/pmix-4.2.2-r1.ebuild
@@ -14,6 +14,7 @@ IUSE="debug +munge pmi"
 
 RDEPEND="
 	dev-libs/libevent:=
+	sys-apps/hwloc:=
 	sys-cluster/ucx
 	sys-libs/zlib:=
 	munge? ( sys-auth/munge )
@@ -27,3 +28,10 @@ src_configure() {
 		$(use_enable debug) \
 		$(use_with munge)
 }
+
+src_install() {
+	default
+
+	# bug #884765
+	mv "${ED}"/usr/bin/pquery "${ED}"/usr/bin/pmix-pquery || die
+}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2022-12-24 14:52 Andreas Sturmlechner
  0 siblings, 0 replies; 17+ messages in thread
From: Andreas Sturmlechner @ 2022-12-24 14:52 UTC (permalink / raw
  To: gentoo-commits

commit:     fa6320cb89a0259b1771907fc962c29f39563142
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 22 19:37:45 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 14:51:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa6320cb

sys-cluster/pmix: drop 2.1.1

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sys-cluster/pmix/Manifest          |  1 -
 sys-cluster/pmix/pmix-2.1.1.ebuild | 29 -----------------------------
 2 files changed, 30 deletions(-)

diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
index 1ad78c7bcefc..0529b5573c01 100644
--- a/sys-cluster/pmix/Manifest
+++ b/sys-cluster/pmix/Manifest
@@ -1,2 +1 @@
-DIST pmix-2.1.1.tar.bz2 1063090 BLAKE2B 35a3bf7d297d399e897f9b9f748e176262cc0fde5afbfc9ea1e21e5c1550cf0081d9924692d7592fe1224eb727a9c3bb7b3fd216ae1b9e09dd29aefe83ac9eba SHA512 2e5d4b3c907ea9f54bb2b682c63fedb6e6c5cfad578c51bb64c805368ccd35adb317fc472867c717e0cd1d90bf13b18655a62041840c33b4a178c25bb3297d3d
 DIST pmix-4.2.2.tar.bz2 1639600 BLAKE2B b5109900e52750656200e7bdbdc39d870a01f5afc1fb622663dfb2c9647b1735c23ece906064b34923977c522fb5a89afc03d81b7d115b26337934ab5bfe7ce3 SHA512 b7cb1e2079d517b32fc5d99012a7c4b161c1509b3ac1e0ba7e4697f2fe0917455927d06c86ecab5f2fa6073e1f058e86260d2115b6f8cc968a43a5675439f28d

diff --git a/sys-cluster/pmix/pmix-2.1.1.ebuild b/sys-cluster/pmix/pmix-2.1.1.ebuild
deleted file mode 100644
index f32dc12613ed..000000000000
--- a/sys-cluster/pmix/pmix-2.1.1.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="The Process Management Interface (PMI) Exascale"
-HOMEPAGE="https://openpmix.github.io/"
-SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
-
-SLOT="0"
-LICENSE="BSD"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="debug +munge pmi"
-
-RDEPEND="
-	dev-libs/libevent:0=
-	sys-cluster/ucx
-	sys-libs/zlib:0=
-	munge? ( sys-auth/munge )
-	pmi? ( !sys-cluster/slurm )
-	"
-DEPEND="${RDEPEND}"
-
-src_configure() {
-	econf \
-		$(use_enable debug) \
-		$(use_enable pmi pmi-backward-compatibility) \
-		$(use_with munge)
-}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2023-12-20 10:04 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2023-12-20 10:04 UTC (permalink / raw
  To: gentoo-commits

commit:     cd296783cab97c794a2afb16c2049890ad357880
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 10:03:19 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 10:03:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd296783

sys-cluster/pmix: add 4.2.8

Bug: https://bugs.gentoo.org/914381
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/Manifest          |  1 +
 sys-cluster/pmix/pmix-4.2.8.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
index 0529b5573c01..720f2551e520 100644
--- a/sys-cluster/pmix/Manifest
+++ b/sys-cluster/pmix/Manifest
@@ -1 +1,2 @@
 DIST pmix-4.2.2.tar.bz2 1639600 BLAKE2B b5109900e52750656200e7bdbdc39d870a01f5afc1fb622663dfb2c9647b1735c23ece906064b34923977c522fb5a89afc03d81b7d115b26337934ab5bfe7ce3 SHA512 b7cb1e2079d517b32fc5d99012a7c4b161c1509b3ac1e0ba7e4697f2fe0917455927d06c86ecab5f2fa6073e1f058e86260d2115b6f8cc968a43a5675439f28d
+DIST pmix-4.2.8.tar.bz2 4800886 BLAKE2B 49c6c74f2a3d4826ade004e2ca69f8adafb26232b8fe92f5e620e11f93bde6a84a3611e737818564a3a5fd6fb75a4819250fa038e55aab46cf0a29c3f04e9f7e SHA512 2bc78cda82af24a9d7db204684e1778e0db183acc425095a91d46e4253209cec06542d497d5502c502b946b0ed1517f3b34f532d1107ccac1a09f2f267f14089

diff --git a/sys-cluster/pmix/pmix-4.2.8.ebuild b/sys-cluster/pmix/pmix-4.2.8.ebuild
new file mode 100644
index 000000000000..313536a69a73
--- /dev/null
+++ b/sys-cluster/pmix/pmix-4.2.8.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="The Process Management Interface (PMI) Exascale"
+HOMEPAGE="https://openpmix.github.io/"
+SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+# No support for 32-bit systems as of 4.2.8 (https://github.com/open-mpi/ompi/issues/11248)
+KEYWORDS="~amd64 -x86 ~amd64-linux"
+IUSE="debug +munge pmi"
+
+RDEPEND="
+	dev-libs/libevent:=
+	sys-apps/hwloc:=
+	sys-cluster/ucx
+	sys-libs/zlib:=
+	munge? ( sys-auth/munge )
+	pmi? ( !sys-cluster/slurm )
+"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+	econf \
+		--disable-werror \
+		$(use_enable debug) \
+		$(use_with munge)
+}
+
+src_install() {
+	default
+
+	# bug #884765
+	mv "${ED}"/usr/bin/pquery "${ED}"/usr/bin/pmix-pquery || die
+}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-06-14  6:45 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2024-06-14  6:45 UTC (permalink / raw
  To: gentoo-commits

commit:     c31ee12d006747270fa58e611aa42eb4f9dee663
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Mon Jun 10 05:11:26 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 14 06:44:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c31ee12d

sys-cluster/pmix: make sure elibtoolize is applied, mark as LTO-unsafe

elibtoolize is needed to e.g. pass LTO warning flags through to the
linker. And indeed, once that is used, the build starts failing with LTO
error flags.

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/pmix-4.2.8.ebuild | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/sys-cluster/pmix/pmix-4.2.8.ebuild b/sys-cluster/pmix/pmix-4.2.8.ebuild
index 313536a69a73..ce44f08ba0c0 100644
--- a/sys-cluster/pmix/pmix-4.2.8.ebuild
+++ b/sys-cluster/pmix/pmix-4.2.8.ebuild
@@ -1,8 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
+inherit flag-o-matic libtool
+
 DESCRIPTION="The Process Management Interface (PMI) Exascale"
 HOMEPAGE="https://openpmix.github.io/"
 SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
@@ -23,7 +25,16 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 
+src_prepare() {
+	default
+	elibtoolize
+}
+
 src_configure() {
+	# -Werror=lto-type-mismatch
+	# https://github.com/openpmix/openpmix/issues/3350
+	filter-lto
+
 	econf \
 		--disable-werror \
 		$(use_enable debug) \


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-06-14  6:45 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2024-06-14  6:45 UTC (permalink / raw
  To: gentoo-commits

commit:     837a217ce9a794d4acdb622ee49bdf8624811d75
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Mon Jun 10 05:13:15 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 14 06:44:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=837a217c

sys-cluster/pmix: add 5.0.2

Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/Manifest          |  1 +
 sys-cluster/pmix/pmix-5.0.2.ebuild | 49 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
index 720f2551e520..caa701f7530e 100644
--- a/sys-cluster/pmix/Manifest
+++ b/sys-cluster/pmix/Manifest
@@ -1,2 +1,3 @@
 DIST pmix-4.2.2.tar.bz2 1639600 BLAKE2B b5109900e52750656200e7bdbdc39d870a01f5afc1fb622663dfb2c9647b1735c23ece906064b34923977c522fb5a89afc03d81b7d115b26337934ab5bfe7ce3 SHA512 b7cb1e2079d517b32fc5d99012a7c4b161c1509b3ac1e0ba7e4697f2fe0917455927d06c86ecab5f2fa6073e1f058e86260d2115b6f8cc968a43a5675439f28d
 DIST pmix-4.2.8.tar.bz2 4800886 BLAKE2B 49c6c74f2a3d4826ade004e2ca69f8adafb26232b8fe92f5e620e11f93bde6a84a3611e737818564a3a5fd6fb75a4819250fa038e55aab46cf0a29c3f04e9f7e SHA512 2bc78cda82af24a9d7db204684e1778e0db183acc425095a91d46e4253209cec06542d497d5502c502b946b0ed1517f3b34f532d1107ccac1a09f2f267f14089
+DIST pmix-5.0.2.tar.bz2 4875774 BLAKE2B b15c3d4829e5b763ad9ce0f7a8e78b1eeedea829524b55b21801a397329576b66b8807e41cb0735e5a02f2f3b93d2b9ed14cf237b582e1462178cc96200350af SHA512 f6c35a551dec7eeda887087a731ef447caa7754aeab42e6bf7f054f7ec5a376863b4836b8c4cc04a3e3630f93939dd9ba08dd9823172dfbcf2d68d9243cbcbdc

diff --git a/sys-cluster/pmix/pmix-5.0.2.ebuild b/sys-cluster/pmix/pmix-5.0.2.ebuild
new file mode 100644
index 000000000000..ce44f08ba0c0
--- /dev/null
+++ b/sys-cluster/pmix/pmix-5.0.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic libtool
+
+DESCRIPTION="The Process Management Interface (PMI) Exascale"
+HOMEPAGE="https://openpmix.github.io/"
+SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+# No support for 32-bit systems as of 4.2.8 (https://github.com/open-mpi/ompi/issues/11248)
+KEYWORDS="~amd64 -x86 ~amd64-linux"
+IUSE="debug +munge pmi"
+
+RDEPEND="
+	dev-libs/libevent:=
+	sys-apps/hwloc:=
+	sys-cluster/ucx
+	sys-libs/zlib:=
+	munge? ( sys-auth/munge )
+	pmi? ( !sys-cluster/slurm )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	elibtoolize
+}
+
+src_configure() {
+	# -Werror=lto-type-mismatch
+	# https://github.com/openpmix/openpmix/issues/3350
+	filter-lto
+
+	econf \
+		--disable-werror \
+		$(use_enable debug) \
+		$(use_with munge)
+}
+
+src_install() {
+	default
+
+	# bug #884765
+	mv "${ED}"/usr/bin/pquery "${ED}"/usr/bin/pmix-pquery || die
+}


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-06-14  6:45 Sam James
  0 siblings, 0 replies; 17+ messages in thread
From: Sam James @ 2024-06-14  6:45 UTC (permalink / raw
  To: gentoo-commits

commit:     3bad08811afac029950515aa93f5bc32803e9713
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Mon Jun 10 05:14:59 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 14 06:44:42 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bad0881

sys-cluster/pmix: clean up junk libtool remainders

Standard boilerplate for finding and deleting all .la files.

Closes: https://bugs.gentoo.org/880355
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/pmix/pmix-4.2.8.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sys-cluster/pmix/pmix-4.2.8.ebuild b/sys-cluster/pmix/pmix-4.2.8.ebuild
index ce44f08ba0c0..9fb7d4f09632 100644
--- a/sys-cluster/pmix/pmix-4.2.8.ebuild
+++ b/sys-cluster/pmix/pmix-4.2.8.ebuild
@@ -44,6 +44,8 @@ src_configure() {
 src_install() {
 	default
 
+	find "${ED}" -name '*.la' -delete || die
+
 	# bug #884765
 	mv "${ED}"/usr/bin/pquery "${ED}"/usr/bin/pmix-pquery || die
 }


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-07-03 21:25 Eli Schwartz
  0 siblings, 0 replies; 17+ messages in thread
From: Eli Schwartz @ 2024-07-03 21:25 UTC (permalink / raw
  To: gentoo-commits

commit:     204e818da24baa0bc4a04a8e22d7eb29ffed59e4
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Mon Jul  1 01:37:08 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Jul  3 21:24:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=204e818d

sys-cluster/pmix: enforce the choice of event library

pmix can be built with either libevent or libev, and we need to depend
on the correct one. We depend on libevent. If, somehow, the configure
check is broken, it will "happily" attempt to automagically build against libev
instead, with varying degrees of success.

Make sure it knows which one it MUST pick.

Also update to use modern econf passing style with a local array, so
that comments are supported!

Closes: https://bugs.gentoo.org/884883
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 sys-cluster/pmix/pmix-5.0.2.ebuild | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/sys-cluster/pmix/pmix-5.0.2.ebuild b/sys-cluster/pmix/pmix-5.0.2.ebuild
index f7d88d473b4c..204dcf878bff 100644
--- a/sys-cluster/pmix/pmix-5.0.2.ebuild
+++ b/sys-cluster/pmix/pmix-5.0.2.ebuild
@@ -35,9 +35,17 @@ src_configure() {
 	# https://github.com/openpmix/openpmix/issues/3350
 	filter-lto
 
-	econf \
-		$(use_enable debug) \
+	local myeconfargs=(
+		# These are alternatives. We must use the one in DEPEND, and also
+		# prevent automagic fallbacks.
+		--with-libevent
+		--without-libev
+
+		$(use_enable debug)
 		$(use_with munge)
+	)
+
+	econf "${myeconfargs[@]}"
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-07-03 21:25 Eli Schwartz
  0 siblings, 0 replies; 17+ messages in thread
From: Eli Schwartz @ 2024-07-03 21:25 UTC (permalink / raw
  To: gentoo-commits

commit:     3cb521ed1eda151aaf605d6da3fc49b128816ccc
Author:     Eli Schwartz <eschwartz93 <AT> gmail <DOT> com>
AuthorDate: Mon Jul  1 00:31:16 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Jul  3 21:24:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cb521ed

sys-cluster/pmix: stop enabling -Werror via ./configure

The aptly-named --enable-werror flag provided by upstream will carefully
enable -Werror in CI builds, even if you pass --disable-werror or
--enable-werror=no. This excellent diagnostics pass brought to you by
the world's most intuitive string validation and checking library, GNU
autoconf.

It is unclear to me why "sys-cluster/pmix: add 4.2.2" entailed adding
this configure option. The option was new in that version bump but
refraining from passing the option would do the correct thing...

Fixes: 8ad34c5cb767676d6cb5e9249565d2e4c17d838e
Bug: https://bugs.gentoo.org/906972
Bug: https://bugs.gentoo.org/908551
Closes: https://bugs.gentoo.org/892023
Signed-off-by: Eli Schwartz <eschwartz93 <AT> gmail.com>
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 sys-cluster/pmix/pmix-4.2.2-r1.ebuild | 3 +--
 sys-cluster/pmix/pmix-4.2.8.ebuild    | 1 -
 sys-cluster/pmix/pmix-5.0.2.ebuild    | 1 -
 3 files changed, 1 insertion(+), 4 deletions(-)

diff --git a/sys-cluster/pmix/pmix-4.2.2-r1.ebuild b/sys-cluster/pmix/pmix-4.2.2-r1.ebuild
index 84966f965b68..b2382be92a0f 100644
--- a/sys-cluster/pmix/pmix-4.2.2-r1.ebuild
+++ b/sys-cluster/pmix/pmix-4.2.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -24,7 +24,6 @@ DEPEND="${RDEPEND}"
 
 src_configure() {
 	econf \
-		--disable-werror \
 		$(use_enable debug) \
 		$(use_with munge)
 }

diff --git a/sys-cluster/pmix/pmix-4.2.8.ebuild b/sys-cluster/pmix/pmix-4.2.8.ebuild
index 9fb7d4f09632..55485e23b9ec 100644
--- a/sys-cluster/pmix/pmix-4.2.8.ebuild
+++ b/sys-cluster/pmix/pmix-4.2.8.ebuild
@@ -36,7 +36,6 @@ src_configure() {
 	filter-lto
 
 	econf \
-		--disable-werror \
 		$(use_enable debug) \
 		$(use_with munge)
 }

diff --git a/sys-cluster/pmix/pmix-5.0.2.ebuild b/sys-cluster/pmix/pmix-5.0.2.ebuild
index ce44f08ba0c0..f7d88d473b4c 100644
--- a/sys-cluster/pmix/pmix-5.0.2.ebuild
+++ b/sys-cluster/pmix/pmix-5.0.2.ebuild
@@ -36,7 +36,6 @@ src_configure() {
 	filter-lto
 
 	econf \
-		--disable-werror \
 		$(use_enable debug) \
 		$(use_with munge)
 }


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-07-17  5:43 Eli Schwartz
  0 siblings, 0 replies; 17+ messages in thread
From: Eli Schwartz @ 2024-07-17  5:43 UTC (permalink / raw
  To: gentoo-commits

commit:     e681ef94d9c93d716dd845cbc9facaedc808a9a6
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 17 00:31:42 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 05:43:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e681ef94

sys-cluster/pmix: also remove libtool files for 5.x

Apparently I forgot to add the changes to both versions. Oops!

Closes: https://bugs.gentoo.org/934237
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 sys-cluster/pmix/pmix-5.0.2.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sys-cluster/pmix/pmix-5.0.2.ebuild b/sys-cluster/pmix/pmix-5.0.2.ebuild
index 204dcf878bff..6cee90d4fa12 100644
--- a/sys-cluster/pmix/pmix-5.0.2.ebuild
+++ b/sys-cluster/pmix/pmix-5.0.2.ebuild
@@ -51,6 +51,8 @@ src_configure() {
 src_install() {
 	default
 
+	find "${ED}" -name '*.la' -delete || die
+
 	# bug #884765
 	mv "${ED}"/usr/bin/pquery "${ED}"/usr/bin/pmix-pquery || die
 }


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-07-17 20:31 Eli Schwartz
  0 siblings, 0 replies; 17+ messages in thread
From: Eli Schwartz @ 2024-07-17 20:31 UTC (permalink / raw
  To: gentoo-commits

commit:     72bcd365be782a86d5b27c09723424377a0848e0
Author:     Aliaksei Urbanski <aliaksei.urbanski <AT> gmail <DOT> com>
AuthorDate: Wed Jul 17 14:40:46 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 20:29:16 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72bcd365

sys-cluster/pmix: extend metadata

Add doc and bugs-to urls to metadata.xml

Signed-off-by: Aliaksei Urbanski <aliaksei.urbanski <AT> gmail.com>
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 sys-cluster/pmix/metadata.xml | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/sys-cluster/pmix/metadata.xml b/sys-cluster/pmix/metadata.xml
index f8082fcc4911..a6a7fb92785f 100644
--- a/sys-cluster/pmix/metadata.xml
+++ b/sys-cluster/pmix/metadata.xml
@@ -10,6 +10,8 @@
 		<flag name="pmi">Build PMI1 and PMI2 interface</flag>
 	</use>
 	<upstream>
+		<doc>https://docs.openpmix.org</doc>
+		<bugs-to>https://github.com/openpmix/openpmix/issues</bugs-to>
 		<remote-id type="github">openpmix/openpmix</remote-id>
 	</upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-07-17 20:31 Eli Schwartz
  0 siblings, 0 replies; 17+ messages in thread
From: Eli Schwartz @ 2024-07-17 20:31 UTC (permalink / raw
  To: gentoo-commits

commit:     ca6f1a62f1f433a2a8b731ef762642bc7cd1dce1
Author:     Aliaksei Urbanski <aliaksei.urbanski <AT> gmail <DOT> com>
AuthorDate: Wed Jul 17 14:42:12 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Jul 17 20:29:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca6f1a62

sys-cluster/pmix: bump 5.0.2 to 5.0.3

Signed-off-by: Aliaksei Urbanski <aliaksei.urbanski <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/37570
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 sys-cluster/pmix/Manifest                                 | 2 +-
 sys-cluster/pmix/{pmix-5.0.2.ebuild => pmix-5.0.3.ebuild} | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-cluster/pmix/Manifest b/sys-cluster/pmix/Manifest
index caa701f7530e..144c7db9c5ae 100644
--- a/sys-cluster/pmix/Manifest
+++ b/sys-cluster/pmix/Manifest
@@ -1,3 +1,3 @@
 DIST pmix-4.2.2.tar.bz2 1639600 BLAKE2B b5109900e52750656200e7bdbdc39d870a01f5afc1fb622663dfb2c9647b1735c23ece906064b34923977c522fb5a89afc03d81b7d115b26337934ab5bfe7ce3 SHA512 b7cb1e2079d517b32fc5d99012a7c4b161c1509b3ac1e0ba7e4697f2fe0917455927d06c86ecab5f2fa6073e1f058e86260d2115b6f8cc968a43a5675439f28d
 DIST pmix-4.2.8.tar.bz2 4800886 BLAKE2B 49c6c74f2a3d4826ade004e2ca69f8adafb26232b8fe92f5e620e11f93bde6a84a3611e737818564a3a5fd6fb75a4819250fa038e55aab46cf0a29c3f04e9f7e SHA512 2bc78cda82af24a9d7db204684e1778e0db183acc425095a91d46e4253209cec06542d497d5502c502b946b0ed1517f3b34f532d1107ccac1a09f2f267f14089
-DIST pmix-5.0.2.tar.bz2 4875774 BLAKE2B b15c3d4829e5b763ad9ce0f7a8e78b1eeedea829524b55b21801a397329576b66b8807e41cb0735e5a02f2f3b93d2b9ed14cf237b582e1462178cc96200350af SHA512 f6c35a551dec7eeda887087a731ef447caa7754aeab42e6bf7f054f7ec5a376863b4836b8c4cc04a3e3630f93939dd9ba08dd9823172dfbcf2d68d9243cbcbdc
+DIST pmix-5.0.3.tar.bz2 5148447 BLAKE2B 3d885f1beb901a443d3a746eae2f4a7d28926e367c5054d3cbd7f971531390800899c0d3130c36b3880292f586bc2ff357c239c9ec6e26dbcd35a4535737f51c SHA512 d7930426f29d957440ebfbe6a8321d3146373b8880d61c57e719345dd467dbe3bd1495cb4942ac0c450da0e28cdd56aed71b32c0bdd6571a8abab85bf334596b

diff --git a/sys-cluster/pmix/pmix-5.0.2.ebuild b/sys-cluster/pmix/pmix-5.0.3.ebuild
similarity index 100%
rename from sys-cluster/pmix/pmix-5.0.2.ebuild
rename to sys-cluster/pmix/pmix-5.0.3.ebuild


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-08-23 23:37 Jakov Smolić
  0 siblings, 0 replies; 17+ messages in thread
From: Jakov Smolić @ 2024-08-23 23:37 UTC (permalink / raw
  To: gentoo-commits

commit:     def251c077dca1fce2ce18792add4c6fc08ae880
Author:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 23 23:37:45 2024 +0000
Commit:     Jakov Smolić <jsmolic <AT> gentoo <DOT> org>
CommitDate: Fri Aug 23 23:37:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=def251c0

sys-cluster/pmix: Keyword 5.0.3 ppc64, #935875

Signed-off-by: Jakov Smolić <jsmolic <AT> gentoo.org>

 sys-cluster/pmix/pmix-5.0.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-cluster/pmix/pmix-5.0.3.ebuild b/sys-cluster/pmix/pmix-5.0.3.ebuild
index 6cee90d4fa12..b4dae4731319 100644
--- a/sys-cluster/pmix/pmix-5.0.3.ebuild
+++ b/sys-cluster/pmix/pmix-5.0.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.
 LICENSE="BSD"
 SLOT="0"
 # No support for 32-bit systems as of 4.2.8 (https://github.com/open-mpi/ompi/issues/11248)
-KEYWORDS="~amd64 -x86 ~amd64-linux"
+KEYWORDS="~amd64 ~ppc64 -x86 ~amd64-linux"
 IUSE="debug +munge pmi"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 17+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/
@ 2024-08-24  6:41 Michał Górny
  0 siblings, 0 replies; 17+ messages in thread
From: Michał Górny @ 2024-08-24  6:41 UTC (permalink / raw
  To: gentoo-commits

commit:     31d80d18137533dca9463ada7aa70d5d82c3ec34
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 24 06:41:46 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 24 06:41:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31d80d18

sys-cluster/pmix: Keyword 5.0.3 arm64, #935875

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sys-cluster/pmix/pmix-5.0.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sys-cluster/pmix/pmix-5.0.3.ebuild b/sys-cluster/pmix/pmix-5.0.3.ebuild
index b4dae4731319..b37a67a20d75 100644
--- a/sys-cluster/pmix/pmix-5.0.3.ebuild
+++ b/sys-cluster/pmix/pmix-5.0.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/openpmix/openpmix/releases/download/v${PV}/${P}.tar.
 LICENSE="BSD"
 SLOT="0"
 # No support for 32-bit systems as of 4.2.8 (https://github.com/open-mpi/ompi/issues/11248)
-KEYWORDS="~amd64 ~ppc64 -x86 ~amd64-linux"
+KEYWORDS="~amd64 ~arm64 ~ppc64 -x86 ~amd64-linux"
 IUSE="debug +munge pmi"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 17+ messages in thread

end of thread, other threads:[~2024-08-24  6:42 UTC | newest]

Thread overview: 17+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-11-19 19:36 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/pmix/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-08-24  6:41 Michał Górny
2024-08-23 23:37 Jakov Smolić
2024-07-17 20:31 Eli Schwartz
2024-07-17 20:31 Eli Schwartz
2024-07-17  5:43 Eli Schwartz
2024-07-03 21:25 Eli Schwartz
2024-07-03 21:25 Eli Schwartz
2024-06-14  6:45 Sam James
2024-06-14  6:45 Sam James
2024-06-14  6:45 Sam James
2023-12-20 10:04 Sam James
2022-12-24 14:52 Andreas Sturmlechner
2022-12-07 19:49 Sam James
2022-12-07 15:42 Sam James
2022-11-19 19:36 Sam James
2018-04-01 20:51 Justin Lecher

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox